## gimpregioniterator gimpregioniterator |

## Functions

void | (*GimpRgnFunc1) ()
void | (*GimpRgnFunc2) ()
void | (*GimpRgnFuncSrc) ()
void | (*GimpRgnFuncDest) ()
void | (*GimpRgnFuncSrcDest) ()
GimpRgnIterator * | gimp_rgn_iterator_new ()
void | gimp_rgn_iterator_free ()
void | gimp_rgn_iterator_src ()
void | gimp_rgn_iterator_dest ()
void | gimp_rgn_iterator_src_dest ()
void | gimp_rgn_iterate1 ()
void | gimp_rgn_iterate2 ()

## Types and Values

| GimpRgnIterator

## Description

## Functions

### GimpRgnFunc1 ()

    void
    (*GimpRgnFunc1) (const guchar *src,
                     gint bpp,
                     gpointer data);

### GimpRgnFunc2 ()

    void
    (*GimpRgnFunc2) (const guchar *src,
                     guchar *dest,
                     gint bpp,
                     gpointer data);

### GimpRgnFuncSrc ()

    void
    (*GimpRgnFuncSrc) (gint x,
                       gint y,
                       const guchar *src,
                       gint bpp,
                       gpointer data);

### GimpRgnFuncDest ()

    void
    (*GimpRgnFuncDest) (gint x,
                        gint y,
                        guchar *dest,
                        gint bpp,
                        gpointer data);

### GimpRgnFuncSrcDest ()

    void
    (*GimpRgnFuncSrcDest) (gint x,
                           gint y,
                           const guchar *src,
                           guchar *dest,
                           gint bpp,
                           gpointer data);

### gimp_rgn_iterator_new ()

    GimpRgnIterator *
    gimp_rgn_iterator_new (GimpDrawable *drawable,
                           GimpRunMode unused);

### gimp_rgn_iterator_free ()

    void
    gimp_rgn_iterator_free (GimpRgnIterator *iter);

### gimp_rgn_iterator_src ()

    void
    gimp_rgn_iterator_src (GimpRgnIterator *iter,
                           GimpRgnFuncSrc func,
                           gpointer data);

### gimp_rgn_iterator_dest ()

    void
    gimp_rgn_iterator_dest (GimpRgnIterator *iter,
                            GimpRgnFuncDest func,
                            gpointer data);

### gimp_rgn_iterator_src_dest ()

    void
    gimp_rgn_iterator_src_dest (GimpRgnIterator *iter,
                                GimpRgnFuncSrcDest func,
                                gpointer data);

### gimp_rgn_iterate1 ()

    void
    gimp_rgn_iterate1 (GimpDrawable *drawable,
                       GimpRunMode unused,
                       GimpRgnFunc1 func,
                       gpointer data);

### gimp_rgn_iterate2 ()

    void
    gimp_rgn_iterate2 (GimpDrawable *drawable,
                       GimpRunMode unused,
                       GimpRgnFunc2 func,
                       gpointer data);

## Types and Values

### GimpRgnIterator

    typedef struct _GimpRgnIterator GimpRgnIterator;